Ahankhah Posted February 2, 2012 Posted February 2, 2012 Hi All, how is possible to find out what is the current Line weight? I appreciate any help:) Quote
Stefan BMR Posted February 2, 2012 Posted February 2, 2012 Current LineWeight is stored in celweight SysVar. -1 means "Bylayer"; -2 is "ByBlock; -3 is "Default". But if you want the value of current LineWeigth try this (if (minusp (setq celw (getvar 'celweight))) (nth (+ 3 celw) (list (getvar 'lwdefault) "ByBlock" (vla-get-Lineweight (vla-item (vla-get-Layers (vla-get-ActiveDocument (vlax-get-acad-object))) (getvar 'clayer))) ) ) celw ) "Byblock" has no meaning until you use newly created object in a block and set Lweight for that block. And keep in mind that the value returned is 100 times the real value (25 instead 0.25, for metric units) 1 Quote
Ahankhah Posted February 2, 2012 Author Posted February 2, 2012 Stefan BMR, thank you very much. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.